var winston = require('winston'); // logging

var loggingLevels = {
  levels: {
    // =========================================================================
    // Set any of these to 1 to enable the corresponding debug channel.
    // -------------------------------------------------------------------------
    netdbg: 0, // Network debugging
    bchdbg: 0, // Block chain debugging
    rpcdbg: 0, // JSON RPC debugging
    scrdbg: 0, // Script interpreter debugging
    // =========================================================================
    debug: 1,
    info: 10,
    notice: 20,
    warn: 30,
    error: 40,
    crit: 50,
    alert: 60,
    emerg: 70
  },
  colors: {
    netdbg: 'blue',
    bchdbg: 'blue',
    rpcdbg: 'blue',
    scrdbg: 'blue',
    debug: 'blue',
    info: 'green',
    notice: 'cyan',
    warn: 'yellow',
    error: 'red',
    crit: 'red',
    alert: 'yellow',
    emerg: 'red'
  }
};

var logger = exports.logger = new winston.Logger({
  transports: [
    new winston.transports.Console({colorize: true, level: 'debug'})
  ],
  levels: loggingLevels.levels,
  level: 'debug'
});

winston.addColors(loggingLevels.colors);

exports.disable = function () {
  this.logger.remove(winston.transports.Console);
};

logger.extend(exports);
